Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class ProcessInstanceLog

    java.lang.Object
      org.jbpm.process.audit.ProcessInstanceLog

All Implemented Interfaces:
  Serializable

    @Entity
    public class ProcessInstanceLog

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`ProcessInstanceLog(long processInstanceId, String processId)`

Method Summary
`boolean` | `equals(Object obj)`
`Date` | `getEnd()`
`long` | `getId()`
`String` | `getOutcome()`
`long` | `getParentProcessInstanceId()`
`String` | `getProcessId()`
`long` | `getProcessInstanceId()`
`Date` | `getStart()`
`int` | `getStatus()`
`int` | `hashCode()`
`void` | `setEnd(Date end)`
`void` | `setOutcome(String errorCode)`
`void` | `setParentProcessInstanceId(long parentProcessInstanceId)`
`void` | `setProcessId(String processId)`
`void` | `setStart(Date start)`
`void` | `setStatus(int status)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessInstanceLog

    public ProcessInstanceLog(long processInstanceId,
                              String processId)

Method Detail

### getId

    public long getId()

### getProcessInstanceId

    public long getProcessInstanceId()

### getProcessId

    public String getProcessId()

### setProcessId

    public void setProcessId(String processId)

### getStart

    public Date getStart()

### setStart

    public void setStart(Date start)

### getEnd

    public Date getEnd()

### setEnd

    public void setEnd(Date end)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getStatus

    public int getStatus()

### setStatus

    public void setStatus(int status)

### getParentProcessInstanceId

    public long getParentProcessInstanceId()

### setParentProcessInstanceId

    public void setParentProcessInstanceId(long parentProcessInstanceId)

### getOutcome

    public String getOutcome()

### setOutcome

    public void setOutcome(String errorCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.